NodeAccountingProbe (accounting-node 1.4.0-2.17.1 API)
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.probes
Class NodeAccountingProbe

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.monitoring.GCUBETestProbe>
          org.gcube.common.core.monitoring.GCUBETestProbe
              org.gcube.common.accounting.node.probes.NodeAccountingProbe

All Implemented Interfaces:
  org.gcube.common.core.monitoring.GCUBEProbe, org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.monitoring.GCUBETestProbe>

    public class NodeAccountingProbe

extends org.gcube.common.core.monitoring.GCUBETestProbe

Author:
  Andrea Manzi(CERN)

Field Summary

Fields inherited from class org.gcube.common.core.monitoring.GCUBETestProbe
`map, scheduler`

Fields inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`handled, logger, producer`

Constructor Summary
`NodeAccountingProbe()`

Method Summary
`void` | `run()`
`void` | `sendMessage(org.gcube.common.core.monitoring.GCUBEMessage message)`

Methods inherited from class org.gcube.common.core.monitoring.GCUBETestProbe
`execute, getDescription, getInterval, setDescription, setInterval`

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`clearBlackboard, getBlackboard, getHandled, getId, getLogger, getName, getScopeManager, getSecurityManager, getState, notify, setBlackboard, setHandled, setLogger, setName, setScopeManager, setSecurityManager, setState, subscribe, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeAccountingProbe

    public NodeAccountingProbe()

Method Detail

### run

    public void run()
             throws Exception

  Specified by:
    `run` in interface `org.gcube.common.core.utils.handlers.GCUBEIHandler<org.gcube.common.core.monitoring.GCUBETestProbe>`
  Specified by:
    `run` in class `org.gcube.common.core.utils.handlers.GCUBEHandler<org.gcube.common.core.monitoring.GCUBETestProbe>`
  Throws:
    `Exception`

### sendMessage

    public void sendMessage(org.gcube.common.core.monitoring.GCUBEMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.